CPP(1)

NAME
cpp - C language preprocessor

SYNOPSIS
/lib/cpp [ -CPRM ] [ -Dname ] [ -Dname=def ] [ -Uname ] [ -Idirectory ] [ infile ] [ outfile ]

DESCRIPTION
Cpp is the standard UNIX C pre-processor. It is not ANSI-conformant; if an ANSI pre-processor is required, use cc -E.

OPTIONS
If there are two non-flag arguments then the first is the name of the input file and the second is the name of the output file. If there is one non-flag argument then it is the name of the input file and the output is written on the standard output. If there are no non-flag arguments then the input is taken from the standard input and the output is written on the standard output. Flag arguments are:

-C  retain comments in output

-Dname
    define name as 1

-Dname=def
    define name as def

-Idirectory
    add directory to list searched for include files. Directories added are searched in left-to-right order, before the standard locations.

-M  generate Makefile dependencies for the .o files specified on the command line.

-P  don't produce line control directives

-R  allow recursive macros

-Uname
    undefine name

SEE ALSO
cc(1), m4(1),